# Fathom Analytics Generated on 18 Jun 2020 from [the Fathom Analytics catalog page](https://marketplace.digitalocean.com/apps/fathom-analytics) Fathom Analytics provides simple and useful website stats that focus on user privacy. Fathom collects trends and insights, not personal details about specific website visitors. Fathom gives you top pages, top referrers, bounce rate and average time people spend on your site. That’s it! All on a single screen. Our software collects and stores *zero personal information about visitors*, making it compliant with all current laws. ![example fathom analytics dashboard](https://usefathom.com/fathom.jpg) This 1-Click App allows you to quickly self-host Fathom Analytics open source, and if you would like us to manage analytics for your business, our Fathom PRO plans start at just $14 → [https://usefathom.com](https://usefathom.com/?utm_source=DigitalOcean&utm_campaign=Marketplace#opensource). With Fathom PRO your analytics are fully managed, your tracker snippet is served from our global CDN, and all data is quickly aggregated across our global cloud architecture. If you’d like to migrate from Fathom open source to Fathom PRO, we’ve helped many people do this so far and we’re happy to assist. ## Software Included | Package | Version | License | |---|---|---| | [Fathom](https://usefathom.com) | [1.21](https://github.com/usefathom/fathom/releases) | [MIT](https://github.com/usefathom/fathom/blob/master/LICENSE) | | [Go](https://golang.org/) | [Latest](https://github.com/golang/go/releases) | \[BSD-style + patent grant]([https://github.com/golang/go/blob/master/LICENSE](https://github.com/golang/go/blob/master/LICENSE) & [https://github.com/golang/go/blob/master/PATENTS](https://github.com/golang/go/blob/master/PATENTS)) | | [Preact](https://preactjs.com/) | [Latest](https://github.com/developit/preact/releases) | [MIT](https://github.com/developit/preact/blob/master/LICENSE) | ## Creating an App using the Control Panel Click the **Deploy to DigitalOcean** button to create a Droplet based on this 1-Click App. If you aren’t logged in, this link will prompt you to log in with your DigitalOcean account. [![Deploy to DO](https://www.deploytodo.com/do-btn-blue.svg)](https://cloud.digitalocean.com/droplets/new?image=fathom-18-04) ## Creating an App using the API In addition to creating a Droplet from the Fathom Analytics 1-Click App using the control panel, you can also use the [DigitalOcean API](https://docs.digitalocean.com/reference/api). As an example, to create a 4GB Fathom Analytics Droplet in the SFO2 region, you can use the following `curl` command. You need to either save your [API access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) to an environment variable or substitute it in the command below. ```shell curl -X POST -H 'Content-Type: application/json' \ -H 'Authorization: Bearer '$TOKEN'' -d \ '{"name":"choose_a_name","region":"sfo2","size":"s-2vcpu-4gb","image":"fathom-18-04"}' \ "https://api.digitalocean.com/v2/droplets" ``` ## Getting Started After Deploying Fathom Analytics 1. You’ll need to log into your new Fathom Droplet to finish the setup. You can log into to the Droplet via SSH in a terminal as root: `ssh root@use_your_droplet_ip` 2. Once logged in to the Droplet via SSH, simply follow the prompts. Once you input a few items, you’ll be able to connect to Fathom from your web browser.